API REFERENCE
Ad Store Landing Page Statistics API
GET
/open-api/v1/ad-stores/landing-pages-ad-count·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/landing-pages-ad-count?store_id=3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| store_id
query · required
| string | Ad Store ID | |
| landing_page
query · optional
| string | Landing Page URL | |
| order_by
query · optional
| string | Sort Field | Options: ad_count-Total ads, active_ad_count-Active ads, active_days-Active days, ad_started_at-First ad date, latest_ad_started_at-Latest ad date. |
| direction
query · optional
| string | Sort Direction | Options: desc-Descending, asc-Ascending. |
| page
query · optional
| integer | Page Number | Min value: 1. |
| per_page
query · optional
| integer | Items per Page | Range: 1-100. |
| keyword
query · optional
| string | Keyword Search | |
| active_ad_count_start
query · optional
| integer | Active Ads (Min) | |
| active_ad_count_end
query · optional
| integer | Active Ads (Max) | |
| ad_count_start
query · optional
| integer | Total Ads (Min) | |
| ad_count_end
query · optional
| integer | Total Ads (Max) | |
| active_days_start
query · optional
| integer | Active Days (Min) | |
| active_days_end
query · optional
| integer | Active Days (Max) | |
| ad_started_at_start
query · optional
| integer | First Ad Date (Start) | Timestamp in seconds. |
| ad_started_at_end
query · optional
| integer | First Ad Date (End) | Timestamp in seconds. |
| latest_ad_started_at_start
query · optional
| integer | Latest Ad Date (Start) | Timestamp in seconds. |
| latest_ad_started_at_end
query · optional
| integer | Latest Ad Date (End) | Timestamp in seconds. |
| with_ad_started_at_group
query · optional
| string | Include First Ad Date Stats | |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"current_page": 1,
"data": [
{
"id": "a77dfdcdeea07d0fc81196bcf8cdba02",
"landing_page_md5": "d91e2f723e0be40a5d64048e5bb4ce25",
"landing_page": "https://bloery.com/products/blue-flared-sleeve-satin-maxi-dress",
"ad_count": 1,
"active_ad_count": 1,
"active_days": 1,
"ad_started_at": 1728370800,
"ad_ended_at": 1728370800,
"latest_ad_started_at": 1728370800
}
],
"last_page": 1,
"per_page": 10,
"total": 1,
"ad_started_at_group": {
"total": 1,
"today": 0,
"yesterday": 0,
"last_7_days": 0
}
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Status Code | |
| » message | string | true | none | Response Message | |
| » data | object | true | none | Response Data | |
| »» current_page | integer | true | none | Current Page | |
| »» data | [object] | true | none | Data List | |
| »»» id | string | true | none | ID | |
| »»» landing_page_md5 | string | true | none | Landing Page MD5 | |
| »»» landing_page | string | true | none | Landing Page | |
| »»» ad_count | integer | true | none | Total Ads | |
| »»» active_ad_count | integer | true | none | Active Ads | |
| »»» active_days | integer | true | none | Active Days | |
| »»» ad_started_at | integer | true | none | First Ad Date | Timestamp in seconds. |
| »»» ad_ended_at | integer | true | none | Last Ad Date | Timestamp in seconds. |
| »»» latest_ad_started_at | integer | true | none | Latest Ad Date | Timestamp in seconds. |
| »» last_page | integer | true | none | Last Page | |
| »» per_page | integer | true | none | Items per Page | |
| »» total | integer | true | none | Total Items | |
| »» ad_started_at_group | object | false | none | First Ad Date Stats | Returned if with_ad_started_at_group is requested. |
| »»» total | integer | true | none | All Time | |
| »»» today | integer | true | none | Today | |
| »»» yesterday | integer | true | none | Yesterday | |
| »»» last_7_days | integer | true | none | Last 7 Days | |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
